Class | Fog::Google::Storage::Real
In: | lib/fog/google/requests/storage/get_bucket_acl.rb
Parent: | Object

### Methods

get_bucket_acl

### Public Instance methods

get_bucket_acl(bucket_name)

Get access control list for an Google Storage bucket

#### Parameters

- bucket_name<~String> - name of bucket to get access control list for

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘AccessControlPolicy’<~Hash>
      - ‘Owner’<~Hash>:
        - ‘DisplayName’<~String> - Display name of object owner
        - ‘ID’<~String> - Id of object owner
      - ‘AccessControlList’<~Array>:
        - ‘Grant’<~Hash>:
          - ‘Grantee’<~Hash>:

                 * 'DisplayName'<~String> - Display name of grantee
                 * 'ID'<~String> - Id of grantee

            or

                 * 'URI'<~String> - URI of group to grant access for

          - ‘Permission’<~String> - Permission, in [FULL_CONTROL, WRITE, WRITE_ACP, READ, READ_ACP]

[Validate]